Subject: bug#10336: closed (Re: bug#10336: lexical vars are collectable test is failing)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Feb 2012 23:17:02 +0000

Your bug report

#10336: Holidays vs. release

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10336: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10336: lexical vars are collectable test is failing
From: Andy Wingo <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Thu, 02 Feb 2012 00:16:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 27 Jan 2012 19:36, Andy Wingo <[email-masked]> writes:

> On Wed 25 Jan 2012 17:10, [email-masked] (Ludovic Courtès) writes:
>
>> Second thing, it suffices to insert a function call like
>> ((lambda (x) #f) #f) just before calls to ‘gc’ to solve the problem.
>>
>> So I’m thinking we may have a real bug here.
>
> I pushed an experimental patch that attempts to NULL out variables that
> are local to the VM.  Let's see what hydra does with it.

In the end that failed.  I pushed a different patch that tried to NULL
out recursively called C stack frames.  Perhaps it worked?  As tests are
passing, I will close this one for now.  It's possible that simply
recursing through the VM wouldn't work well, as there might be stack
slots in vm_engine that don't get set in all code paths.  If we see
errors in the future, let's just mark those as flaky and move on.  Let's
also try to reduce the number of UNRESOLVED results in general, so that
these hacks will be more visible.

Regards,

Andy
-- 
http://wingolog.org/

Subject: Re: Holidays vs. release
From: <[email-masked]>
To: [email-masked], Ludovic Courtès <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 20 Dec 2011 19:59:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

---- [email-masked] wrote: 
> 
> ---- "Ludovic Courtès" <[email-masked]> wrote: 
> > Hello Guilers!
> > 
> > I initially thought it would be great to push a 2.0.4 tarball by the end
> > of the year, but since I’ll be on holidays starting from tomorrow until
> > Jan. 3rd, I won’t be able to make it.  Sorry about that!
> 
> I'm still getting that one failure in make check.  Something about gc a lexicals?  (Sorry I'm not at that machine.)  Probably would be a good idea to tune that up before release anyway.
> 
> I'll post details when I can.

I'm on a 32bit Debian intel system.  libgc is 7.2alpha4

git describe is
v2.0.3-82-ga2c6601

The single failure running make check is

Running gc.test
FAIL: gc.test: gc: Lexical vars are collectable

-Dale